Bug 91034 - X logs out when using VRMLview or OpenGL ImmediateX viewer
X logs out when using VRMLview or OpenGL ImmediateX viewer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: Mesa (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 13:56 EDT by Need Real Name
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-26 09:30:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My XF86Config file (14.12 KB, text/plain)
2003-05-16 13:58 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-05-16 13:56:01 EDT
Description of problem:
Whenever I start VRMLview or open up an OpenGL ImmediateX viewer from a program
made with the Geant4 toolkit, I am logged out of X. I am then presented with the
GUI login screen. I have already contacted VRMLview support, and they feel as if
Mesa is the problem.

Version-Release number of selected component (if applicable):
3.4.2-10

How reproducible:
This happens every time.

Steps to Reproduce:
1. Execute either VRMLview or a program written with the Geant4 toolkit that
opens up an OpenGL ImmediateX viewer.
    
Actual results:
X closes, and I'm presented with a GUI login screen.

Expected results:
VRMLview and the OpenGL ImmediateX viewer should run.

Additional info:
VRMLview is obtainable from http://www.sim.no -> downloads -> VRMLview/download
Geant4 web page: http://geant4.web.cern.ch/geant4
Comment 1 Need Real Name 2003-05-16 13:57:20 EDT
I've managed to capture VRMLview's error stream output. Here it is.

X Error: GLXBadDrawable 131
  Major opcode:  129
QGLContext::makeCurrent(): Failed.
Comment 2 Need Real Name 2003-05-16 13:58:58 EDT
Created attachment 91738 [details]
My XF86Config file

This is my X configuration. I hope this helps.
Comment 3 Mike A. Harris 2003-05-26 09:20:15 EDT
The error message is telling you that the application is requesting a bad
drawable.  It's even saying where it is:  QGLContext::makeCurrent()

This isn't a Mesa bug IMHO, but an application bug.
Comment 4 Mike A. Harris 2003-05-26 09:30:52 EDT
Oops, I hit submit too early there...

While I believe this to be an application bug, or a bug in a library that
application uses, if the application's authors wont look into the problem,
and insist it is a Mesa bug, please upgrade to Red Hat Linux 9, and try to
reproduce it there, as we only issue security fixes for Red Hat Linux 7.2 at
this point, so if Mesa is indeed at fault, which I believe is very unlikely,
it isn't the type of bug that we would examine for an old distro release.

If the problem is present in Red Hat Linux 9, which I believe is entirely
likely, as I believe it is an application bug as said above, please report
the problem to the dri-devel or mesa3d-dev mailing lists on sourceforge so
the Mesa developers can give their opinion on the problem, and investigate it.

Closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.